Skip to main content
`Ctrl`+`K`

# NEPSetBV

Associates a basis vectors object to the nonlinear eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetBV(NEP nep,BV bv)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- bv - the basis vectors object

## Note

Use `NEPGetBV()` to retrieve the basis vectors context (for example, to free it at the end of the computations).

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetBV()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages